import getCellValue from './getCellValue';
/**
 * 判断工具栏上的按钮是否处在活动状态的辅助函数
 * @param state
 * @param selectedRange
 * @param type
 */
export default function isActionHelper(state, selectedRange, type) {
    const currentCellValue = getCellValue(state, selectedRange[0][0], selectedRange[0][1]);
    return currentCellValue.every((element) => element.children.every((textItem) => textItem[type]));
}
