import { findAllCodes } from '@sinoform/print-out-core';
/**
 * 判断当前焦点是否在表达式内，即鼠标在${}内部
 * @param editor
 * @param point
 * @returns
 */
export default function isInCode(editor, point) {
    const currentNode = editor.children[point.path[0]].children[point.path[1]];
    const codeBlocks = findAllCodes(currentNode.text);
    return codeBlocks.some((block) => point.offset > block.start + 1 && point.offset < block.end);
}
