"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = getTableWidth;
var _printOutCore = /*#__PURE__*/require("@sinoform/print-out-core");
/**
 * 获取表格宽度
 * @param state
 * @returns
 */
function getTableWidth(cols) {
  var defaultWidth = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 50;
  var width = defaultWidth;
  for (var i = 0; i < cols.len; i += 1) {
    var _cols$i;
    var currentCol = (_cols$i = cols[i]) !== null && _cols$i !== void 0 ? _cols$i : {
      width: _printOutCore.DEFAULT_CELL_WIDTH
    };
    width += currentCol.width;
  }
  return width;
}