import React from 'react';
import type { CustomEditor as Editor } from '../../dev';
import type { CellPos, CellRange } from '../../reducer';
export interface ColorPickerButtonProps {
    editor?: Editor;
    selectedRange?: CellRange;
    editingCell?: CellPos;
}
/**
 * 文本颜色选择器
 *
 * @param root0
 * @param root0.editor
 * @param root0.selectedRange
 * @param root0.editingCell
 * @returns
 */
declare function ColorPickerButton({ editor, selectedRange, editingCell, }: ColorPickerButtonProps): JSX.Element;
declare const _default: React.MemoExoticComponent<typeof ColorPickerButton>;
export default _default;
