import { EventEmitter } from 'events';
export const DEFAULT_PADDING_HORIZONTAL = 23.7;
export const DEFAULT_MENU_WIDTH = 100;
export const DEFAULT_MENU_HEIGHT = 32 * 7;
export const MIN_CELL_HEIGHT = 20;
export var BorderType;
(function (BorderType) {
    /**
     * 全边框
     */
    BorderType["BORDER_ALL"] = "BORDER_ALL";
    /**
     * 内边框
     */
    BorderType["BORDER_INNER"] = "BORDER_INNER";
    /**
     * 水平边框
     */
    BorderType["BORDER_HORIZONTAL"] = "BORDER_HORIZONTAL";
    /**
     * 垂直边框
     */
    BorderType["BORDER_VERTICAL"] = "BORDER_VERTICAL";
    /**
     * 外边框
     */
    BorderType["BORDER_OUTER"] = "BORDER_OUTER";
    /**
     * 左边框
     */
    BorderType["BORDER_LEFT"] = "BORDER_LEFT";
    /**
     * 上边框
     */
    BorderType["BORDER_TOP"] = "BORDER_TOP";
    /**
     * 右边框
     */
    BorderType["BORDER_RIGHT"] = "BORDER_RIGHT";
    /**
     * 下边框
     */
    BorderType["BORDER_BOTTOM"] = "BORDER_BOTTOM";
    /**
     * 无边框
     */
    BorderType["BORDER_CLEAR"] = "BORDER_CLEAR";
})(BorderType || (BorderType = {}));
export const PRINT_LAYOUT_DRAG_ITEM = 'PRINT_LAYOUT_DRAG_ITEM';
export const SPYJ = {
    id: 'field_ideaList',
    fieldName: 'ideaList',
    title: '审批意见',
    type: 'ideaList',
};
export const PAGE_SIZES = ['A3', 'A4', 'A5', 'B4', 'B5'];
export const eventbus = new EventEmitter();
/**
 * 编辑器改变事件名称
 */
export const EDITOR_CHANGE = 'editorChange';
export const SECOND_LEVEL_MENU = 'second-level-menu';
