import { DEFAULT_CELL_VALUE } from '@sinoform/print-out-core';
/**
 * 获取单元格的值
 * @param state 状态集合
 * @param rowIdx 单元格所在行
 * @param colIdx 单元格所在列
 * @returns
 */
export default function getCellValue(state, rowIdx, colIdx) {
    return (state.rows[rowIdx]?.cells ?? {})[colIdx]?.value ?? DEFAULT_CELL_VALUE;
}
