"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = isCodeType;
var _printOutCore = /*#__PURE__*/require("@sinoform/print-out-core");
/**
 * 判断当前是不是表达式块
 * @param editor
 * @returns
 */
function isCodeType(editor, point) {
  var currentNode = editor.children[point.path[0]].children[point.path[1]];
  var codeBlocks = (0, _printOutCore.findAllCodes)(currentNode.text);
  return codeBlocks.findIndex(function (block) {
    return point.offset >= block.start && point.offset <= block.end;
  }) !== -1;
}