/// <reference types="react" />
import type { Cell, LayoutFieldItem } from '@sinoform/types';
import type { CustomEditor } from '../dev';
import type { CellRange } from '../reducer/types';
export interface TdProps {
    cell: Cell;
    rowIdx: number;
    colIdx: number;
    selectedRange?: CellRange;
    setEditor: (editor: CustomEditor) => void;
    handleTdDoubleClick?: () => void;
    style?: {
        [x: string]: any;
    };
    fields?: LayoutFieldItem[];
    height: number;
    width: number;
}
declare function Td({ cell, rowIdx, colIdx, style, fields, setEditor, handleTdDoubleClick, height, width, }: TdProps): JSX.Element;
declare const TdComp: import("react").MemoExoticComponent<typeof Td>;
export default TdComp;
