"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = isInCode;
var _printOutCore = /*#__PURE__*/require("@sinoform/print-out-core");
/**
 * 判断当前焦点是否在表达式内，即鼠标在${}内部
 * @param editor
 * @param point
 * @returns
 */
function isInCode(editor, point) {
  var currentNode = editor.children[point.path[0]].children[point.path[1]];
  var codeBlocks = (0, _printOutCore.findAllCodes)(currentNode.text);
  return codeBlocks.some(function (block) {
    return point.offset > block.start + 1 && point.offset < block.end;
  });
}